Package com.oracle.nosql.spring.data.core.query

# Class CriteriaQuery

java.lang.Object
com.oracle.nosql.spring.data.core.query.NosqlQuery
com.oracle.nosql.spring.data.core.query.CriteriaQuery

public class CriteriaQuery extends NosqlQuery

- ## Field Summary

  ### Fields inherited from class com.oracle.nosql.spring.data.core.query.NosqlQuery

  `isCount, limit, pageable, sort`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CriteriaQuery(Criteria criteria, org.springframework.data.mapping.context.MappingContext<?,NosqlPersistentProperty> mappingContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateSql(String tableName, Map<String,Object> params, String idPropertyName, NosqlPersistentEntity<?> entity)`
  `Criteria`
  `getCriteria()`
  `Optional<Criteria>`
  `getCriteriaByType(CriteriaType criteriaType)`
  `org.springframework.data.domain.Pageable`
  `getPageable()`
  `CriteriaQuery`
  `limit(Integer limit)`
  Limit the number of returned rows to `limit`.
  `CriteriaQuery`
  `project(org.springframework.data.repository.query.ReturnedType returnedType)`
  `CriteriaQuery`
  `setCount(boolean isCount)`
  `CriteriaQuery`
  `setDistinct(boolean isDistinct)`
  `CriteriaQuery`
  `with(org.springframework.data.domain.Pageable pageable)`
  `CriteriaQuery`
  `with(org.springframework.data.domain.Sort sort)`

  ### Methods inherited from class com.oracle.nosql.spring.data.core.query.NosqlQuery

  `getLimit, getSort, isCount`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CriteriaQuery

    public CriteriaQuery(@Nullable Criteria criteria, org.springframework.data.mapping.context.MappingContext<?,NosqlPersistentProperty> mappingContext)

- ## Method Details

  - ### with

    public CriteriaQuery with(org.springframework.data.domain.Sort sort)
    Overrides:
      `with` in class `NosqlQuery`

  - ### with

    public CriteriaQuery with(@NonNull org.springframework.data.domain.Pageable pageable)
    Overrides:
      `with` in class `NosqlQuery`

  - ### limit

    public CriteriaQuery limit(Integer limit)
    Limit the number of returned rows to `limit`.
    Overrides:
      `limit` in class `NosqlQuery`

  - ### setCount

    public CriteriaQuery setCount(boolean isCount)
    Overrides:
      `setCount` in class `NosqlQuery`

  - ### getCriteria

    public Criteria getCriteria()

  - ### getPageable

    public org.springframework.data.domain.Pageable getPageable()

  - ### getCriteriaByType

    public Optional<Criteria> getCriteriaByType(@NonNull CriteriaType criteriaType)

  - ### generateSql

    public String generateSql(String tableName, Map<String,Object> params, String idPropertyName, NosqlPersistentEntity<?> entity)
    Specified by:
      `generateSql` in class `NosqlQuery`

  - ### setDistinct

    public CriteriaQuery setDistinct(boolean isDistinct)

  - ### project

    public CriteriaQuery project(org.springframework.data.repository.query.ReturnedType returnedType)